function P = corr2P(U,X)
u = U(:,1);
v = U(:,2);
[n,m] = size(X);
X0 = [X ones(n,1)];
C = [X0, zeros(n,4), -repmat(u,1,4).*X0;
     zeros(n,4), X0, -repmat(v,1,4).*X0];
[Q S V] = svd(C);
V0 = V(:,end);
P = reshape(V(:,end),4,3)';
%U0 = P*X0';
%U0(1:2,:)./repmat(U0(3,:),2,1) -U'
 