function [H J E L_best t] =LSQrand2(L,t, trData, I)

N = trData.rndSamples;
rel = trData.err_rel;

if ~exist('rel','var'),
    rel = true;
end;

if rel,
    W = 1./max(sqrt(sum(t.^2)),1);   
else
    W = ones(1,size(t,2));
end;

t0 = t; L0 = L;
t = repmat(W,size(t,1),1).*t;
L = repmat(W,size(L,1),1).*L;
E = Inf;
%J = all(~isnan(L),2);
%JJ = 1:length(J); JJ = JJ(J);
for i = 1:N,
    
    [a b] = size(L);   
    %I = round(size(L,1)*rand(1,subI)+0.5);
%    I = genRnd(subI, length(JJ)); %size(L,1));
%    I =JJ(I);
    subL = L(I,:);
    H0 = t*subL'*inv(subL*subL'+1e4*eps*eye(size(subL,1)));     
    subq = H0(:,:)*L0(I,:);
    %E0 = sum(sqrt(sum((t0 - subq).^2)))/size(t0,2);

   E0 = sqrt(sum((t0-subq).^2));
   EE = sort(E0); E95 = EE(round(trData.nextIterErr*length(EE)));
  
    if E0<E,
        H = H0;
        J = I;
        E = E0;
        L_best = [];%subL;        
    end;
   % plot(i,E0,'gx'); hold on;
end;
t = [];
    