function [L ,T, x] = genExamples4d(im, X, trData, range)

N = max(1+round(sqrt(trData.Complexities(end))),trData.supportRangeRatio*range); dN = max(1,round(N/10));
e = trData.noise;
F = trData.F;
Z = trData.Z;
[r c] = size(im);

%if strcmp(trData.method,'LSQ'),
    %[A B] = meshgrid([-M:dM:M], [-M:dM:M]); t = [A(:)'; B(:)'];
    tRand = -range + 2*range*rand(2,trData.numOfExamples);
%    tRand = t;%(:,sqrt(sum(t.^2))<=range);
%end

%if strcmp(trData.method, 'LP'),
%    %[A B] = meshgrid([-M(1):dM(1):M(1)], [-M(2):dM(2):M(2)]); t = [A(:)'; B(:)'];
%    tRand = -range + 2*range*rand(2,trData.numOfExamples);
%end

[A B] = meshgrid([-N:dN:N], [-N:dN:N]);
x = [A(:)'; B(:)'];
%x = x(:,sqrt(sum(x.^2))<=N);


i=1; T = []; L=[]; img = []; img0 = [];
%for z1 = Z,
%for z2 = Z, 
%tRand = t(:,(round(0.5+size(t,2)*rand(1,trData.numOfExamples))));    
    

%for f=F,
    %z1 = Z(round(0.5+length(Z)*rand));
    %z2 = Z(round(0.5+length(Z)*rand));
    %fx1 = z1*(cos(f)*x(1,:) + sin(f)*x(2,:));
    %fx2 = z2*(-sin(f)*x(1,:) + cos(f)*x(2,:));
    xx2 = X(2)+x(2,:);
    yy2 = X(1)+x(1,:);
    ind2 = (xx2>0)&(yy2>0)&(xx2<r)&(yy2<c);
    I2 = NaN(1,size(x,2));
    I2(ind2) = im(sub2ind(size(im),xx2(ind2),yy2(ind2))); 
    L0 = zeros(size(x,2),size(tRand,2)); 
    for i=1:size(tRand,2),   
        z1 = Z(round(0.5+length(Z)*rand));
        z2 = Z(round(0.5+length(Z)*rand));
        f0  = F(round(0.5+length(F)*rand));        
        f  = F(round(0.5+length(F)*rand));        
        %XX = transformPoints(x,[tRand(1,i) tRand(2,i) z1 -f0]);
       fx1 = (cos(f0)*z1*x(1,:) + sin(f0)*z2*x(2,:));
       fx2 = (-sin(f0)*z1*x(1,:) + cos(f0)*z2*x(2,:));
      % fx1 = (cos(f)*ffx1(:) + sin(f)*ffx2(:));
      % fx2 = (-sin(f)*ffx1(:) + cos(f)*ffx2(:));

        xx = round(X(2)+fx2+tRand(2,i));
        yy = round(X(1)+fx1+tRand(1,i)); %plot(fx2+tRand(2,i),fx1+tRand(1,i), '.'); axis([-150 150 -150 150]); drawnow;
     %   xx = round(X(2)+XX(2,:)); yy = round(X(1)+XX(1,:));
        ind = (xx>0)&(yy>0)&(xx<r)&(yy<c);
        I = NaN(1,size(x,2));
        I(ind) = im(sub2ind(size(im),xx(ind),yy(ind)));         
        L0(:,i) = I';
%        L0 = [L0 I'];%-I2'];
        ds = sqrt(length(I));
       % img = [img reshape(I,ds,ds)];
    end;
    L = L0+e*rand(size(L0));
    T = tRand;
    %T =[T repmat([t;f*ones(1,size(t,2))],1,n_ex) ];

%img0 = [img0;img]; img = [];

%end;


%end;
%end;
