function [L,t,x] = genExamples6(im1, X, trData, range);
%M0 = range*ones(1,2);
%dM0 = M0./trData.M.*trData.dM;
%trData.M = M0;
%trData.N = round(max(M0)/max(trData.M)*trData.N);
%trData.dN = round(max(M0)/max(trData.M)*trData.dN);
%trData.dM = max(1, round(dM0)); 
[r c] = size(im1); 

[L,t,x] = genExamples4d(im1, X, trData, range);

for sc = trData.sc;             
    if sc==1,
        im2 = im1;
    else
        [A B] = meshgrid(1:1/sc:c,1:1/sc:r);            
        [C D] = meshgrid(1+sc*(0:(c-1)),1+sc*(0:(r-1)));
        im2 = interp2(interp2(im1,A,B),C,D,'linear',0);
        [L2,t2,x2] = genExamples4d(im2, X, trData, range);
         L = [L L2]; t = [t t2]; %x = [x x2];
    end;
end;
for blSize = trData.blurSize,
for blDir = trData.blurDir,
    imb = imgBlur(blSize, blDir, im2);
    [L2,t2,x2] = genExamples4d(imb, X, trData, range);
    L = [L L2]; t = [t t2]; %x = [x x2];
end;        
end;
