function [model_full] = getObserv(im,paths, model_full, model, Hnorm, H0, trackData, I)
II = true(1,size(model.X,1));
II(I) = false;
I = 1:size(model.X,1);
I = I(II);

for i = I,%1:size(model.X,1),   % regions
    for k=1:size(model.X,2), % iterations
        H = H0; H(1:2,3) = 0;
        eps = model.Err(i,k);
        errAxes = UPX(H,[eps;eps]);
        X = UPX(Hnorm, model.C(:,i));
        if k==1, T=[0;0]; else T = sum(paths(:,i,1:k-1),3); end;
        T0 = UPX(inv(H0),X)-UPX(inv(H0),model.C(:,i)+T);
        
        
%        if sum((X-(model.C(:,i)+T+paths(:,i,k))).^2./errAxes.^2)>1,   % tohle predelat pomoci zpetne homografie!
        if sum((UPX(inv(H0),X) - UPX(inv(H0),model.C(:,i)+T+paths(:,i,k))).^2)>model.Err(i,k),%max(trackData.ransac_eps^2,model.Err(i,k)),   % tohle predelat pomoci zpetne homografie!
             
             Cmin = floor(min(model.X(i,k).x'))' + T;
             Cmax = round(0.5+max(model.X(i,k).x'))' + T;
             U = model.X(i,k).x + repmat(T,1,size(model.X(i,k).x,2)); 
             col = model.col(i,k).col;
            if (Cmin(1)>1)&&(Cmin(2)>1)&&(Cmax(2)<trackData.r)&&(Cmax(1)<trackData.c),
                I = im(sub2ind(size(im),round(U(2,:)), round(U(1,:))));                   
                j = model.ind(i);
                model_full.H(j,k).L = [model_full.H(j,k).L -repmat((I'-col'),1,10)]; 
                model_full.H(j,k).t = [model_full.H(j,k).t repmat(UPX(inv(H0),X)-UPX(inv(H0),model.C(:,i)+T),1,10)];
                %model_full.observ(model.ind(i),k) = model_full.observ(model.ind(i),k) + 1;
                
                L = model_full.H(j,k).L; t = model_full.H(j,k).t;
                H_new = t*L'*inv(L*L');
                E0 = sqrt(sum((t-H_new*L).^2));
                EE = sort(E0); 
                model_full.Err(j,k) = EE(round(model_full.trData.nextIterErr*length(EE))); 
                %sum(sqrt(sum((t - H_new*L).^2)))/size(t,2);
                model_full.H(j,k).h = H_new;
            end;        
            break
        end;            
    end;
end;