function [H, Err, area, lambda1, lambda2] = minmaxL0L0(L1,t1)

[r c] = size(L1); e=1;

A = L1'; b = [t1(1,:)]'; A0 = [A -ones(c,1); -A  -ones(c,1)]; b0 = [b; -b]; f = [zeros(r,1); 1];
[X,FVAL,EXITFLAG,OUTPUT, LAMBDA] = linprog(f, A0, b0,[],[],[],[],[], optimset('LargeScale','off','Simplex','off', 'Display','Iter'));
H(1,:) = X(1:(end-1))'; lambda1 = LAMBDA.ineqlin;

A = L1'; b = [t1(2,:)]'; A0 = [A -ones(c,1); -A  -ones(c,1)]; b0 = [b; -b]; f = [zeros(r,1); 1];
[X,FVAL,EXITFLAG,OUTPUT, LAMBDA] = linprog(f, A0, b0,[],[],[],[],[], optimset('LargeScale','off','Simplex','off', 'Display','Iter'));
H(2,:) = X(1:(end-1))';

[E I] = sort(sqrt(sum((H*L1-t1).^2))); Imax = round(e*length(I)); E0 = abs(H*L1-t1); Err = E0(:,I(Imax))';
Err = max(E0')';
area = 4*prod(max(E0')); lambda2 = LAMBDA.ineqlin;