function H = uv2h(U, V)

[m,n] = size(U);
U = U(1:3,:) ./ repmat(U(3,:),3,1);

Tu = normu(U(1:2,:));
Tv = norm(V(1:2,:));
U0 = Tu*U; V0 = Tv*V;

C = [-V0', zeros(n,3), V0'.*repmat(U0(1,:)',1,3);
     zeros(n,3), -V0', V0'.*repmat(U0(2,:)',1,3)];
  
[Q S A] = svd(C'*C);
h = A(:,end);
H = inv(Tu)*reshape(h,3,3)'*Tv;
